From: "Christoph Junghans" <kleiner_otti@gmx.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-chemistry/votca-csg/
Date: Sat, 19 Feb 2011 17:03:23 +0000 (UTC) [thread overview]
Message-ID: <88a171154693840dd63fe9a5550803878985ab69.kleiner_otti@gentoo> (raw)
commit: 88a171154693840dd63fe9a5550803878985ab69
Author: Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 19 16:54:58 2011 +0000
Commit: Christoph Junghans <kleiner_otti <AT> gmx <DOT> de>
CommitDate: Sat Feb 19 17:13:14 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=88a17115
[sci-chemistry/votca-csg] version bump
(Portage version: 2.1.9.25/git/Linux i686, signed Manifest commit with key C2000586)
---
sci-chemistry/votca-csg/ChangeLog | 6 ++++++
...tca-csg-1.1_rc2.ebuild => votca-csg-1.1.ebuild} | 17 ++++++++++++-----
sci-chemistry/votca-csg/votca-csg-9999.ebuild | 17 ++++++++++++-----
3 files changed, 30 insertions(+), 10 deletions(-)
diff --git a/sci-chemistry/votca-csg/ChangeLog b/sci-chemistry/votca-csg/ChangeLog
index 1ef3939..94711e6 100644
--- a/sci-chemistry/votca-csg/ChangeLog
+++ b/sci-chemistry/votca-csg/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*votca-csg-1.1 (19 Feb 2011)
+
+ 19 Feb 2011; Christoph Junghans <ottxor@gentoo.org>
+ -votca-csg-1.1_rc2.ebuild, +votca-csg-1.1.ebuild:
+ Version bump
+
*votca-csg-1.1_rc1 (12 Feb 2011)
12 Feb 2011; Christoph Junghans <kleiner_otti@gmx.de>
diff --git a/sci-chemistry/votca-csg/votca-csg-1.1_rc2.ebuild b/sci-chemistry/votca-csg/votca-csg-1.1.ebuild
similarity index 78%
rename from sci-chemistry/votca-csg/votca-csg-1.1_rc2.ebuild
rename to sci-chemistry/votca-csg/votca-csg-1.1.ebuild
index 333e454..91671bf 100644
--- a/sci-chemistry/votca-csg/votca-csg-1.1_rc2.ebuild
+++ b/sci-chemistry/votca-csg/votca-csg-1.1.ebuild
@@ -6,14 +6,17 @@ EAPI="3"
inherit autotools-utils bash-completion
+MANUAL_PV=1.1
if [ "${PV}" != "9999" ]; then
- SRC_URI="http://votca.googlecode.com/files/${PF}.tar.gz"
+ SRC_URI="http://votca.googlecode.com/files/${PF}.tar.gz
+ doc? ( http://votca.googlecode.com/files/votca-manual-${MANUAL_PV}.pdf )"
RESTRICT="primaryuri"
else
SRC_URI=""
inherit mercurial
EHG_REPO_URI="https://csg.votca.googlecode.com/hg"
S="${WORKDIR}/${EHG_REPO_URI##*/}"
+ PDEPEND="doc? ( =app-doc/votca-manual-${PV} )"
fi
DESCRIPTION="Votca coarse-graining engine"
@@ -36,8 +39,9 @@ DEPEND="${RDEPEND}
src_prepare() {
#from bootstrap.sh
- [ -z "${PV##*9999}" ] && \
- emake -C share/scripts/inverse -f Makefile.am.in Makefile.am
+ if [ -z "${PV##*9999}" ]; then
+ emake -C share/scripts/inverse -f Makefile.am.in Makefile.am || die
+ fi
eautoreconf || die "eautoreconf failed"
}
@@ -59,9 +63,12 @@ src_install() {
dobashcompletion scripts/csg-completion.bash ${PN} || die
autotools-utils_src_install || die
if use doc; then
- cd share/doc
+ if [ -n "${PV##*9999}" ]; then
+ dodoc "${WORKDIR}/votca-manual-${MANUAL_PV}.pdf" || die
+ fi
+ cd share/doc || die
doxygen || die
- dohtml -r html/*
+ dohtml -r html/* || die
fi
}
diff --git a/sci-chemistry/votca-csg/votca-csg-9999.ebuild b/sci-chemistry/votca-csg/votca-csg-9999.ebuild
index 333e454..91671bf 100644
--- a/sci-chemistry/votca-csg/votca-csg-9999.ebuild
+++ b/sci-chemistry/votca-csg/votca-csg-9999.ebuild
@@ -6,14 +6,17 @@ EAPI="3"
inherit autotools-utils bash-completion
+MANUAL_PV=1.1
if [ "${PV}" != "9999" ]; then
- SRC_URI="http://votca.googlecode.com/files/${PF}.tar.gz"
+ SRC_URI="http://votca.googlecode.com/files/${PF}.tar.gz
+ doc? ( http://votca.googlecode.com/files/votca-manual-${MANUAL_PV}.pdf )"
RESTRICT="primaryuri"
else
SRC_URI=""
inherit mercurial
EHG_REPO_URI="https://csg.votca.googlecode.com/hg"
S="${WORKDIR}/${EHG_REPO_URI##*/}"
+ PDEPEND="doc? ( =app-doc/votca-manual-${PV} )"
fi
DESCRIPTION="Votca coarse-graining engine"
@@ -36,8 +39,9 @@ DEPEND="${RDEPEND}
src_prepare() {
#from bootstrap.sh
- [ -z "${PV##*9999}" ] && \
- emake -C share/scripts/inverse -f Makefile.am.in Makefile.am
+ if [ -z "${PV##*9999}" ]; then
+ emake -C share/scripts/inverse -f Makefile.am.in Makefile.am || die
+ fi
eautoreconf || die "eautoreconf failed"
}
@@ -59,9 +63,12 @@ src_install() {
dobashcompletion scripts/csg-completion.bash ${PN} || die
autotools-utils_src_install || die
if use doc; then
- cd share/doc
+ if [ -n "${PV##*9999}" ]; then
+ dodoc "${WORKDIR}/votca-manual-${MANUAL_PV}.pdf" || die
+ fi
+ cd share/doc || die
doxygen || die
- dohtml -r html/*
+ dohtml -r html/* || die
fi
}
next reply other threads:[~2011-02-19 17:03 UTC|newest]
Thread overview: 36+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-02-19 17:03 Christoph Junghans [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-07-14 17:31 [gentoo-commits] proj/sci:master commit in: sci-chemistry/votca-csg/ Christoph Junghans
2015-11-16 4:23 Christoph Junghans
2015-09-24 5:20 Christoph Junghans
2015-09-21 17:44 Justin Lecher
2015-02-12 0:44 Christoph Junghans
2014-10-24 3:33 Christoph Junghans
2014-09-01 0:21 Christoph Junghans
2014-02-27 23:01 Sebastien Fabbro
2013-03-09 1:48 Christoph Junghans
2013-01-30 5:28 Christoph Junghans
2012-12-31 3:17 Christoph Junghans
2012-07-25 1:24 Christoph Junghans
2012-07-18 2:53 Christoph Junghans
2012-03-24 22:46 Christoph Junghans
2011-11-05 2:33 Christoph Junghans
2011-11-05 2:33 Christoph Junghans
2011-11-03 23:51 Christoph Junghans
2011-09-10 15:04 Christoph Junghans
2011-09-10 14:57 Christoph Junghans
2011-09-05 17:13 Christoph Junghans
2011-08-25 20:33 Christoph Junghans
2011-08-14 15:04 Christoph Junghans
2011-07-17 13:14 Christoph Junghans
2011-07-17 12:38 Christoph Junghans
2011-06-24 17:09 Justin Lecher
2011-06-03 21:59 Christoph Junghans
2011-05-28 12:27 Christoph Junghans
2011-03-10 19:51 Christoph Junghans
2011-03-08 21:40 Christoph Junghans
2011-03-03 21:43 Christoph Junghans
2011-03-03 21:43 Christoph Junghans
2011-02-20 13:30 Christoph Junghans
2011-02-13 17:27 Christoph Junghans
2011-02-12 16:23 Christoph Junghans
2011-02-12 14:53 Christoph Junghans
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=88a171154693840dd63fe9a5550803878985ab69.kleiner_otti@gentoo \
--to=kleiner_otti@gmx.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox